/***************************************************************************
 *   Copyright (C) 2004 by Robin Atwood                                    *
 *   robin.atwood@attglobal.net                                            *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "kpslistviewitem.h"
#include "kpsview.h"

KPSListViewItem::KPSListViewItem( QTreeWidget *parent )
 : QTreeWidgetItem( parent )
{
	init();
}

KPSListViewItem::KPSListViewItem( KPSListViewItem *parent )
 : QTreeWidgetItem( parent )
{
	init();
}


KPSListViewItem::~KPSListViewItem()
{
}

void KPSListViewItem::init()
{
	for ( int column = CMD_COL; column <= ARG_COL; ++column )
	{
		if ( column == PID_COL | column == CPU_COL | column == MEM_COL 
		   | column == VSZ_COL | column == RSS_COL | column == NICE_COL )
			setTextAlignment( column, Qt::AlignRight );
		else
			setTextAlignment( column, Qt::AlignLeft );
	}
}

bool KPSListViewItem::operator<( const QTreeWidgetItem &other ) const
{
	int col = treeWidget()->sortColumn();

	if ( col == PID_COL | col == CPU_COL | col == MEM_COL 
		 | col == VSZ_COL | col == RSS_COL | col == NICE_COL )
	{
		bool ok;
		const float x = text( col ).toFloat( &ok ), 
								y = other.text( col ).toFloat( &ok );
		return x < y; 
	}
	else
		return text( col ) < other.text( col );
}


// #include "kpslistviewitem.moc"
