/***************************************************************************
 *   Copyright (C) 2004 by Robin Atwood                                    *
 *   robin.atwood@attglobal.net                                            *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include "kpsview.h"

#include <kmessagebox.h>
#include <klocale.h>

KPSView::KPSView( QWidget *parent ) : QTreeWidget(parent)
{
	QStringList headers;
	
	headers.append( "Command" );
  headers.append( "PID" );
	headers.append( "User" );
	headers.append( "%CPU" );
	headers.append( "%Mem" );
	headers.append( "VSZ" );
	headers.append( "RSS" );
	headers.append( "Nice" );
	headers.append( "Status" );
	headers.append( "Started" );
	headers.append( "Arguments" );
	
	setHeaderLabels( headers );
	header()->setMovable(true);
	header()->setResizeMode( QHeaderView::Interactive );
	setSortingEnabled( true );
	sortItems( CPU_COL, Qt::DescendingOrder );
	setAnimated( true );
	setRootIsDecorated( false );
	setAllColumnsShowFocus( true );
	setAlternatingRowColors( true );
	setContextMenuPolicy( Qt::CustomContextMenu );
  setAllColumnsShowFocus( true );
	setColumnCount( ARG_COL + 1 );
	setUniformRowHeights( true );
}

KPSView::~KPSView()
{
}


//#include "kpsview.moc"
