/***************************************************************************
 *   Copyright (C) 2004 by Robin Atwood                                    *
 *   robin.atwood@attglobal.net                                            *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include "kps.h"
#include <kapplication.h>
#include <kaboutdata.h>
#include <kcmdlineargs.h>
#include <klocale.h>

static const char version[] = "0.9.2";

static KCmdLineOptions options;

int main(int argc, char **argv)
{
    KAboutData about("kps", 0, ki18n("KPS"), version, ki18n("A KDE interface to the PS command"),
                     KAboutData::License_GPL, ki18n("(C) 2009 Robin Atwood"),
										 ki18n(""), "http://www.binro.org", "robin@binro.org");
    about.addAuthor( ki18n("Robin Atwood"), KLocalizedString(), "robin@binro.org" );
    KCmdLineArgs::init(argc, argv, &about);
    KCmdLineArgs::addCmdLineOptions(options);

    KApplication app;

    KPS *widget = new KPS;

    // see if we are starting with session management
    if ( app.isSessionRestored() )
    {
      RESTORE( KPS );
    }
    else
    {
			widget->show();
		}

    return app.exec();
}
