/***************************************************************************
 *   Copyright (C) 2004 by Robin Atwood                                    *
 *   robin.atwood@attglobal.net                                            *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include <qlabel.h>
#include <qslider.h>
#include <qspinbox.h>

#include "renice.h"


Renice::Renice( QWidget *parent, const QString &cmd, const QString &pid, int *nice )
 : QDialog(parent), Ui::Renice()
{
	setupUi( this );
	slotSliderChanged( *nice );
	slotSpinBoxChanged( *nice );
	m_label->setText( m_label->text().arg(cmd).arg(pid) );
	reniceOKButton->setIcon( KIcon("dialog-ok") );
	reniceCancelButton->setIcon( KIcon("dialog-cancel") );
	m_nice = nice;
}


Renice::~Renice()
{
	*m_nice = m_slider->value();
}

void Renice::slotSliderChanged( int val )
{
	m_spinBox->setValue( val );
}

void Renice::slotSpinBoxChanged( int val )
{
	m_slider->setValue( val );
}


#include "renice.moc"
