/***************************************************************************
 *   Copyright (C) 2004 by Robin Atwood                                    *
 *   robin.atwood@attglobal.net                                            *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef RENICE_H
#define RENICE_H

#include <qstring.h>
#include <qdialog.h>

#include <ui_reniceui.h>

/**
Dialog to renice a process

@author Robin Atwood
*/
class Renice : public QDialog, private Ui::Renice
{
	Q_OBJECT
	
public:
    Renice( QWidget *parent = 0, const QString &cmd = 0, 
						const QString &pid = 0, int *nice = 0 );

    virtual ~Renice();
		
protected slots:
		void slotSliderChanged( int );
		void slotSpinBoxChanged( int );		
		
private:
		int  *m_nice;		
};

#endif
